% nrm1.m

% Read data form the file afiro.mps.
[r,res] = mosekopt('read(afiro.mps)');

% Getting data for the problem
%              minimize ||f x - b||_2
f = res.prob.a';
b = res.prob.c;

% The problem is solved by solving
%             minimize 0.5 xf'fx+0.5*b'*b-(f'*b)'*x

% Clearing prob
clear prob;

% Compute the fixed term in the objective.
% It is not really needed.
prob.cfix = 0.5*b'*b

% Forming c
prob.c = -f'*b;

% Forming q. Note only the lower triangular
% part of f'*f is used.
[prob.qosubi,prob.qosubj,prob.qoval] = find(sparse(tril(f'*f)))

% Obtain the matrix dimensions.
[m,n]   = size(f);

% a is specified
prob.a  = sparse(0,n);

[r,res] = mosekopt('minimize',prob);

% The optimality conditions are f'*(f x - b) = 0.
% Checking if they are satisfied:

fprintf('\nnorm(f^T(fx-b)): %e',norm(f'*(f*res.sol.itr.xx-b)));
