echo "Testing MOSEK optimization toolbox."

MSKPLATFORM=$1
MATLABCMD="$2 -nojvm"
SLVDIR=$3
MOSEKLM_LICENSE_FILE=$4
export MOSEKLM_LICENSE_FILE

echo "Platform             : $MSKPLATFORM."
echo "MATLAB command       : $MATLABCMD"  
echo "Solvers dir          : $SLVDIR"
echo "MOSEKLM_LICENSE_FILE : $MOSEKLM_LICENSE_FILE"

curdir=`pwd`  

case $MSKPLATFORM in
  "aixrs6k" ) 
    LIBPATH=$curdir/../tools/platform/$MSKPLATFORM/bin:$LIBPATH
    export LIBPATH
    ;;
  "linux32x86" | "linux64x86" | "linuxintel" | "solaris32x86" | "solaris64x86" | "solarissparc" | "solarissparc64" )
    LD_LIBRARY_PATH=$curdir/../tools/platform/$MSKPLATFORM/bin:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH
    ;;
  "hpuxpa32" ) 
    SHLIB_PATH=$curdir/../tools/platform/$MSKPLATFORM/bin:$SHLIB_PATH
    export SHLIB_PATH
    ;;

  "osx32ppc" ) 
    DYLD_LIBRARY_PATH=$curdir/../tools/platform/$MSKPLATFORM/bin:$DYLD_LIBRARY_PATH
    export DYLD_LIBRARY_PATH
    ;;

  "osx32x86" ) 
    DYLD_LIBRARY_PATH=$curdir/../tools/platform/$MSKPLATFORM/bin:$DYLD_LIBRARY_PATH
    export DYLD_LIBRARY_PATH
    MATLABCMD=$2
    ;;

esac


DISPLAY=
export DISPLAY

echo cd examp               >  testunix.m
echo addpath ../$SLVDIR     >>  testunix.m
echo try                    >> testunix.m 
echo runall\(0\)            >> testunix.m
echo catch                  >> testunix.m
echo fprintf\(\'MSKERROR: runall completed with an error\'\) >> testunix.m
echo end                    >> testunix.m
echo quit                   >> testunix.m

printf '\n#\n# Starting MATLAB: $MATLABCMD -r testunix\n#\n'
$MATLABCMD  -r testunix

